<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/Vertex.cc File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Vertex.cc File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_vertex_8h_source.html">eicd/Vertex.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_vertex_const_8h_source.html">eicd/VertexConst.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_vertex_obj_8h_source.html">eicd/VertexObj.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_vertex_data_8h_source.html">eicd/VertexData.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_vertex_collection_8h_source.html">eicd/VertexCollection.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_reconstructed_particle_8h_source.html">eicd/ReconstructedParticle.h</a>&quot;</code><br />
<code>#include &lt;ostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Vertex.cc:</div>
<div class="dyncontent">
<div class="center"><img src="_vertex_8cc__incl.png" border="0" usemap="#src_2_vertex_8cc" alt=""/></div>
<map name="src_2_vertex_8cc" id="src_2_vertex_8cc">
<area shape="rect" id="node2" href="_vertex_8h.html" title="eicd/Vertex.h" alt="" coords="1136,572,1235,599"/>
<area shape="rect" id="node3" href="_vertex_const_8h.html" title="eicd/VertexConst.h" alt="" coords="1137,647,1271,673"/>
<area shape="rect" id="node4" href="_vertex_obj_8h.html" title="eicd/VertexObj.h" alt="" coords="891,721,1010,748"/>
<area shape="rect" id="node5" href="_vertex_data_8h.html" title="eicd/VertexData.h" alt="" coords="366,796,493,823"/>
<area shape="rect" id="node10" href="_vertex_collection_8h.html" title="eicd/VertexCollection.h" alt="" coords="629,497,787,524"/>
<area shape="rect" id="node19" href="_reconstructed_particle_8h.html" title="eicd/ReconstructedParticle.h" alt="" coords="2250,80,2441,107"/>
<area shape="rect" id="node6" href="_vector_x_y_z_t_8h.html" title="eicd/VectorXYZT.h" alt="" coords="832,871,965,897"/>
<area shape="rect" id="node20" href="_reconstructed_particle_const_8h.html" title="eicd/ReconstructedParticle\lConst.h" alt="" coords="2408,155,2587,196"/>
<area shape="rect" id="node21" href="_reconstructed_particle_obj_8h.html" title="eicd/ReconstructedParticle\lObj.h" alt="" coords="2155,244,2333,285"/>
<area shape="rect" id="node23" href="_cluster_8h.html" title="eicd/Cluster.h" alt="" coords="1985,333,2087,360"/>
<area shape="rect" id="node33" href="_track_8h.html" title="eicd/Track.h" alt="" coords="2678,333,2773,360"/>
<area shape="rect" id="node22" href="_reconstructed_particle_data_8h.html" title="eicd/ReconstructedParticle\lData.h" alt="" coords="1360,408,1539,449"/>
<area shape="rect" id="node24" href="_cluster_const_8h.html" title="eicd/ClusterConst.h" alt="" coords="1860,415,1999,442"/>
<area shape="rect" id="node25" href="_cluster_obj_8h.html" title="eicd/ClusterObj.h" alt="" coords="1957,497,2080,524"/>
<area shape="rect" id="node27" href="_calorimeter_hit_8h.html" title="eicd/CalorimeterHit.h" alt="" coords="1678,572,1823,599"/>
<area shape="rect" id="node26" href="_cluster_data_8h.html" title="eicd/ClusterData.h" alt="" coords="1907,647,2037,673"/>
<area shape="rect" id="node28" href="_calorimeter_hit_const_8h.html" title="eicd/CalorimeterHitConst.h" alt="" coords="1651,647,1831,673"/>
<area shape="rect" id="node29" href="_calorimeter_hit_obj_8h.html" title="eicd/CalorimeterHitObj.h" alt="" coords="1701,721,1867,748"/>
<area shape="rect" id="node31" href="_vector_x_y_z_8h.html" title="eicd/VectorXYZ.h" alt="" coords="1475,871,1600,897"/>
<area shape="rect" id="node30" href="_calorimeter_hit_data_8h.html" title="eicd/CalorimeterHitData.h" alt="" coords="1651,796,1824,823"/>
<area shape="rect" id="node34" href="_track_const_8h.html" title="eicd/TrackConst.h" alt="" coords="2763,415,2893,442"/>
<area shape="rect" id="node35" href="_track_obj_8h.html" title="eicd/TrackObj.h" alt="" coords="2763,497,2877,524"/>
<area shape="rect" id="node37" href="_track_state_8h.html" title="eicd/TrackState.h" alt="" coords="2875,572,3000,599"/>
<area shape="rect" id="node41" href="_tracker_hit_8h.html" title="eicd/TrackerHit.h" alt="" coords="3048,572,3171,599"/>
<area shape="rect" id="node36" href="_track_data_8h.html" title="eicd/TrackData.h" alt="" coords="2728,572,2851,599"/>
<area shape="rect" id="node38" href="_track_state_const_8h.html" title="eicd/TrackStateConst.h" alt="" coords="2771,647,2931,673"/>
<area shape="rect" id="node39" href="_track_state_obj_8h.html" title="eicd/TrackStateObj.h" alt="" coords="2830,721,2975,748"/>
<area shape="rect" id="node40" href="_track_state_data_8h.html" title="eicd/TrackStateData.h" alt="" coords="2827,796,2981,823"/>
<area shape="rect" id="node42" href="_tracker_hit_const_8h.html" title="eicd/TrackerHitConst.h" alt="" coords="3056,647,3213,673"/>
<area shape="rect" id="node43" href="_tracker_hit_obj_8h.html" title="eicd/TrackerHitObj.h" alt="" coords="3110,721,3253,748"/>
<area shape="rect" id="node44" href="_tracker_hit_data_8h.html" title="eicd/TrackerHitData.h" alt="" coords="3107,796,3258,823"/>
</map>
</div>
</div>
<p><a href="_vertex_8cc_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a99b3963b73fa6beb939506d59ebc83bb"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#a99b3963b73fa6beb939506d59ebc83bb">eic::operator&lt;&lt;</a> (std::ostream &amp;o, const ConstVertex &amp;value)</td></tr>
<tr class="separator:a99b3963b73fa6beb939506d59ebc83bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
